Subject: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Christopher Sean Morrison <[email-masked]>
Date: Wed, 9 Dec 2020 16:19:12 -0500

> When I do it, it asks nothing, as I have delete-by-moving-to-trash.

I just checked and that appears to be my situation as well.  I don’t know if Graphene set that variable or some other package (as Graphene uses an amalgamation), but delete-by-moving-to-trash is ’t’ for me and it indeeds asks nothing.  I’d still expect it to prompt, but never even considered looking in the Trash…  (running on Mac platform)

> It is good to remove the malfunction from key bindings. Better is to
> remove it completely.

+1 on removing it completely.  That’s a dangerous binding considering it’s typically “cut to end of line”.